package com.qmth.themis.business.bean.exam;

import com.qmth.themis.business.enums.FinishExamResultEnum;
import com.qmth.themis.business.enums.FinishTypeEnum;
import com.qmth.themis.business.enums.ReviewResultEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

@ApiModel("交卷结果返回信息")
public class ExamResultBean implements Serializable {

    @ApiModelProperty("finishTime")
    private Long finishTime;

    @ApiModelProperty("交卷类型")
    private FinishTypeEnum finishType;

    @ApiModelProperty("客观分")
    private Double objectiveScore;

    @ApiModelProperty("考试时长(秒)")
    private Integer durationSeconds;

    @ApiModelProperty("审核结果")
    private ReviewResultEnum reviewResult;

    @ApiModelProperty("交卷后状态")
    private FinishExamResultEnum status;

    @ApiModelProperty(name = "考后说明")
    private String postNotice;//考后说明，针对一个场次进行设置

    public Long getFinishTime() {
        return finishTime;
    }

    public void setFinishTime(Long finishTime) {
        this.finishTime = finishTime;
    }


    public FinishTypeEnum getFinishType() {
        return finishType;
    }

    public void setFinishType(FinishTypeEnum finishType) {
        this.finishType = finishType;
    }

    public Integer getDurationSeconds() {
        return durationSeconds;
    }

    public void setDurationSeconds(Integer durationSeconds) {
        this.durationSeconds = durationSeconds;
    }

    public Double getObjectiveScore() {
        return objectiveScore;
    }

    public void setObjectiveScore(Double objectiveScore) {
        this.objectiveScore = objectiveScore;
    }

    public ReviewResultEnum getReviewResult() {
        return reviewResult;
    }

    public void setReviewResult(ReviewResultEnum reviewResult) {
        this.reviewResult = reviewResult;
    }

    public FinishExamResultEnum getStatus() {
        return status;
    }

    public void setStatus(FinishExamResultEnum status) {
        this.status = status;
    }

    public String getPostNotice() {
        return postNotice;
    }

    public void setPostNotice(String postNotice) {
        this.postNotice = postNotice;
    }
}
